View Issue Details

IDProjectCategoryView StatusLast Update
0009200mantisbtbugtrackerpublic2009-01-15 11:25
Reportervboctor Assigned Tovboctor  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit trunk 
Target Version1.2.0a3Fixed in Version1.2.0a3 
Summary0009200: Support a threshold access level for users to show up in reminder picker
Description

In bug trackers like mantisbt.org where there are thousands of users, there is no point in including all users in the reminder picker list. It should only be possible to send reminders to developers and above.

The proposal is to add the following configuration option:

The minimum access level required to show up in the list of users who can receive a reminder.

$g_receive_reminder_threshold = DEVELOPER;
TagsNo tags attached.

Activities

giallu

giallu

2008-05-29 04:48

reporter   ~0017940

that's almost surely a memory consumption issue.

I determined few days ago with xdebug that adm_config_report if consuming about 30Mb of memory to render, and about half of it is for composing the user's list in print_user_option_list() or, more precisely, in project_get_all_user_rows()

giallu

giallu

2008-06-02 04:03

reporter   ~0017985

Additionally, the server logs does not seem to report anything about the problem.

Maybe there is some missing/misconfigured parameter in httpd.conf

vboctor

vboctor

2008-07-15 03:55

manager   ~0018532

Here are the possible solutions:

  1. Have a configurable minimum threshold for who can receive a reminder. Typically reminders are sent to internal staff. In our case, we would set this to developer.

  2. Avoid populating the list in an array then dumping it, generate the output row by row. The way I would approach this is to pass a callback to an API that iterates through all matching rows. The API would do the printing of one row at a time.

vboctor

vboctor

2008-07-15 03:57

manager   ~0018533

Forgot to mention a third corrective action:

  1. Use an auto-complete edit box. In my opinion, this is also very useful when the user knows the user name of another user. So rather than scrolling through a potentially long list of users, just type the user name.
vboctor

vboctor

2008-11-19 02:55

manager   ~0019938

I've updated the issue summary / description to reflect the proposed solution.

Related Changesets

MantisBT: master c4fead28

2008-11-19 08:01:20

vboctor

Details Diff
Fixes 0009200: Support a threshold access level for users to show up in reminder picker. Affected Issues
0009200
mod - bug_reminder_page.php Diff File
mod - docbook/adminguide/en/configuration.sgml Diff File
mod - config_defaults_inc.php Diff File

Issue History

Date Modified Username Field Change
2008-05-29 02:26 vboctor New Issue
2008-05-29 04:48 giallu Note Added: 0017940
2008-06-02 04:03 giallu Note Added: 0017985
2008-07-15 03:55 vboctor Note Added: 0018532
2008-07-15 03:55 vboctor Status new => confirmed
2008-07-15 03:57 vboctor Note Added: 0018533
2008-11-19 02:55 vboctor Note Added: 0019938
2008-11-19 02:55 vboctor Assigned To => vboctor
2008-11-19 02:55 vboctor Status confirmed => assigned
2008-11-19 02:55 vboctor Target Version => 1.2.2
2008-11-19 02:55 vboctor Summary Send reminder form is broken on this bug tracker => Support a threshold access level for users to show up in reminder picker
2008-11-19 02:55 vboctor Description Updated
2008-11-19 03:01 vboctor Status assigned => resolved
2008-11-19 03:01 vboctor Fixed in Version => 1.2.2
2008-11-19 03:01 vboctor Resolution open => fixed
2008-11-19 03:10 vboctor Changeset attached master c4fead28 =>
2008-12-30 22:00 jreese Fixed in Version 1.2.2 => 1.2.0a3
2008-12-30 22:06 jreese Target Version 1.2.2 => 1.2.0a3
2009-01-15 11:25 jreese Status resolved => closed